View Issue Details

IDProjectCategoryView StatusLast Update
0016942MediaMonkey 4Synchronizationpublic2020-10-22 20:11
ReporterLudek Assigned To 
PriorityimmediateSeveritymajorReproducibilityalways
Status closedResolutionreopened 
Product Version4.1.29 
Target Version4.1.31Fixed in Version4.1.31 
Summary0016942: iOS devices not syncable after update to iTunes 12.10.9
DescriptionAfter update the iTunes 12.10.9 the iOS devices are no longer syncable with MediaMonkey.

MediaMonkey reports: "An Iphone/iPod/iPad connection was detected. Please install iTunes Desktop version (not the Windows Store version) in order to sync this device with MediaMonkey. Click the Help button for assistance."
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=12&t=97375
https://www.mediamonkey.com/forum/viewtopic.php?f=7&t=97394
TagsNo tags attached.
Fixed in build1915

Relationships

related to 0016934 closedLudek MediaMonkey 5 iOS devices not syncable after update to iTunes 12.10.9 
related to 0016998 assignedLudek MediaMonkey 5 iOS sync: iTunes does not see music synced by MediaMonkey 

Activities

Ludek

2020-09-22 19:15

developer   ~0059640

Fixed in 4.1.30.1911

rusty

2020-09-23 04:26

administrator   ~0059645

Last edited: 2020-09-23 04:34

Tested build 1911 with iTunes 12.10.9.3 syncing to an iPhone X running iOS 13.6 and it failed in the exact same manner as initially described .

Tested as follows:
1 Synced build 1910 with the iPhone using an earlier version of iTunes
2 Upgraded to iTunes 12.10.9.3
3 Ran MM 1910 and Connected iPhone --> bug (as expected)
4 Upgraded to build 1911
5 Ran MM 1911 and Connected iPhone --> bug!

Debug log posted to ftp.

Ludek

2020-09-23 08:13

developer   ~0059656

Fixed in 1912

rusty

2020-09-23 19:50

administrator   ~0059667

Verified 1912.

Ludek

2020-09-25 13:04

developer   ~0059684

Last edited: 2020-09-25 13:05

Re-opened:
During testing #15575 I found that if user installs just the standalone Apple Mobile Device Support per http://oldsvr.mediamonkey.com/support/?/Knowledgebase/Article/View/270 then MM4/MM5 still reports "An Iphone/iPod/iPad connection was detected. Please install iTunes Desktop version ....

Fixed in 1913/2268

rusty

2020-10-01 02:32

administrator   ~0059741

Verified on an iPhone X (running iOS 13.x).

Ludek

2020-10-22 19:53

developer   ~0059949

Last edited: 2020-10-22 20:11

Re-opened:

There is one user (Rich C.) for who:
- C:\Program Files\Common Files\Apple\Apple Application Support\ directory no longer exist: EXPECTED after the recent iTunes install (as the newest iTunes removes it)
- HKEY_LOCAL_MACHINE\SOFTWARE\Apple Inc.\Apple Application Support\InstllDir value was still presented: UNEXPECTED (iTunes should remove it also)

MediaMonkey was confused by it and wanted to load the CoreFoundation.dll from there (instead of from the iTunes directory).

Fixed in 4.1.31.1915 and merged to 5.0.0.2271 (SVN revision 36628).
Confirmed the fix via emails by supplying new MediaMonkey64Helper.exe